<template>
  <div class="home">
    <el-container>
      <el-container style="margin: 0px; padding: 0px; height: 100%">
        <el-main :style="styleVar">
          <router-view />
        </el-main>
      </el-container>
    </el-container>
  </div>
</template>

<script>
import { mapMutations } from "vuex";
// import headerV from "../components/headers.vue";
export default {
  name: "Home",
  data() {
    return {
      currentPath: "",
      styleVar: {
        "--background": "transparent",
      },
      isshow: false,
    };
  },
  components: {
    // headerV,
  },
  watch: {},
  methods: {
    ...mapMutations(["INITIAL_DATA_MENU"]),
    //修改样式
    // UPstyle(e) {
    //   if (e == "/firstpage") {
    //     this.styleVar["--background"] = "#000";
    //   } else {
    //     this.styleVar["--background"] = "transparent";
    //   }
    // },
  },
  created() {
    // this.UPstyle(this.$route.path);
  },
};
</script>
<style scoped lang="less">
.home {
  height: 100%;
  position: relative;
  .el-container {
    height: 100%;
  }
}
.el-main {
  margin: 0px;
  padding: 0px;
  background: var(--background);
}
.breadcrumb {
  padding: 10px;
  background: #1e2c45;
  filter: blur(undefinedpx);
  font-size: 20px;
  color: #f0fafe;
  margin-top: 10px;
}
</style>
